# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Element Normal

JXG.GeometryElement
↳ JXG.Line
↳ Normal

Constructs a normal.
Defined in: Composition.js.
Extends JXG.Line.

Element Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Normal A normal is a line through a given point on a element of type line, circle, curve, or turtle and orthogonal to that object.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| point A helper point used to create a normal to a JXG.Line object.

Element Detail
Normal
A normal is a line through a given point on a element of type line, circle, curve, or turtle and orthogonal to that object.

This element has no direct constructor. To create an instance of this element you have to call JXG.Board#create with type "normal".
Possible parent array combinations are:
{JXG.Line|JXG.Circle|JXG.Curve|JXG.Turtle} o
{JXG.Point} p
  The constructed line contains p which lies on the object and is orthogonal to the tangent to the object in the given point.
{Glider} p
  Works like above, however the object is given by Glider#slideObject.

Throws:
{Error}
  If the element cannot be constructed with the given parent objects an exception is thrown.

Examples:

    // Create a normal to a circle.
    var p1 = board.create('point', [2.0, 2.0]);
    var p2 = board.create('point', [3.0, 2.0]);
    var c1 = board.create('circle', [p1, p2]);

    var norm1 = board.create('normal', [c1, p2]);

Field Detail
{JXG.Point} point
A helper point used to create a normal to a JXG.Line object. For normals to circles or curves this element is `undefined`.

Attributes borrowed from other Elements

Attributes borrowed from class JXG.GeometryElement:
  dash, draft, fillColor, fillOpacity, fixed, frozen, highlight, highlightFillColor, highlightFillOpacity, highlightStrokeColor, highlightStrokeOpacity, highlightStrokeWidth, needsRegularUpdate, shadow, strokeColor, strokeOpacity, strokeWidth, trace, traceAttributes, visible, withLabel

Fields borrowed from other Elements

Fields borrowed from class JXG.Line:
  defaultTicks, parentPolygon, point1, point2, ticks
Fields borrowed from class JXG.GeometryElement:
  addEvent, ancestors, baseElement, board, childElements, descendants, dump, elementClass, elType, eventHandlers, getAttribute, hasLabel, highlighted, id, isDraggable, isReal, methodMap, mouseover, name, needsUpdate, notExistingParents, numTraces, quadraticform, removeEvent, stdform, subs, symbolic, traces, transformations, type, visProp

Methods borrowed from other Elements

Methods borrowed from class JXG.Line:
  addTicks, addTransform, generatePolynomial, getAngle, getRise, getSlope, hasPoint, maxX, minX, removeAllTicks, removeTicks, setLabelRelativeCoords, setPosition, setPositionDirectly, setStraight, update, updateRenderer, updateSegmentFixedLength, updateStdform, X, Y, Z
Methods borrowed from class JXG.GeometryElement:
  _set, addChild, addDescendants, animate, bounds, clearTrace, cloneToBackground, countChildren, createGradient, createLabel, draggable, getAttributes, getLabelAnchor, getName, getParents, getProperty, getTextAnchor, getType, hideElement, labelColor, noHighlight, normalize, off, on, prepareUpdate, remove, resolveShortcuts, setArrow, setAttribute, setDash, setLabelText, setProperty, showElement, triggerEventHandlers

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:10 GMT+0200 (MESZ)